### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Italy Class Reference
Calendars

Italian calendars. More...

`#include <ql/time/calendars/italy.hpp>`

Inheritance diagram for Italy:
[legend]

List of all members.

## Public Types

enum | Market { Settlement, Exchange }
| Italian calendars. More...

## Public Member Functions

| Italy (Market market=Settlement)

## Detailed Description

Italian calendars.

Public holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st
- Epiphany, January 6th
- Easter Monday
- Liberation Day, April 25th
- Labour Day, May 1st
- Republic Day, June 2nd (since 2000)
- Assumption, August 15th
- All Saint's Day, November 1st
- Immaculate Conception Day, December 8th
- Christmas Day, December 25th
- St. Stephen's Day, December 26th

Holidays for the stock exchange (data from http://www.borsaitalia.it):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Easter Monday
- Labour Day, May 1st
- Assumption, August 15th
- Christmas' Eve, December 24th
- Christmas, December 25th
- St. Stephen, December 26th
- New Year's Eve, December 31st

Tests:
  the correctness of the returned results is tested against a list of known holidays.

## Member Enumeration Documentation

enum Market

Italian calendars.

Enumerator:

  Settlement | generic settlement calendar
  Exchange | Milan stock-exchange calendar.